> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balance (Native)

Check a wallet's native token balance (ETH, MATIC, BNB, AVAX, etc.). Returns both the raw amount and a human-readable value. Works on any EVM chain.

![Get Wallet Balance (Native) logo](https://ai-icon.b3.fun/logo/ethereum)
Catalog action EVM Onchain

Check a wallet's native token balance (ETH, MATIC, BNB, AVAX, etc.). Returns both the raw amount and a human-readable value. Works on any EVM chain.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `get-native-balance` |
| Category | EVM Onchain |
| Connector | Not required |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `blockchain`, `evm`, `native`, `balance`, `query`, `read`, `eth`, `matic`, `wallet`, `gas` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountAddress` | `string` | Yes | Address to check balance for |
| `chainId` | `number` | Yes | Chain ID \(1=Ethereum, 137=Polygon, 56=BSC, 8453=Base, etc.\) |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `balance` | `string` | Yes | Balance in wei |
| `formattedBalance` | `string` | Yes | Human-readable balance in native units \(ETH, MATIC, etc.\) |
| `accountAddress` | `string` | No | - |
| `chainId` | `number` | No | - |
| `symbol` | `string` | No | Native token symbol \(ETH, MATIC, BNB, etc.\) |
| `blockNumber` | `number` | No | - |

## Examples

**Workflow node**

```json
{
  "type": "get-native-balance",
  "payload": {
    "accountAddress": "0x0000000000000000000000000000000000000000",
    "chainId": 8453
  },
  "children": []
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/get-native-balance/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "accountAddress": "0x0000000000000000000000000000000000000000",
    "chainId": 8453
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.